<?php
//ヤマト運輸
class ControllerShippingYamato extends Controller {
	private $error = array(); 
	
	public function index() {   
		$this->load->language('shipping/yamato');

		$this->document->title = $this->language->get('heading_title');
		
		$this->load->model('setting/setting');
				
		
		
		
		
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->model_setting_setting->editSetting('yamato', $this->request->post);		
					
			$this->session->data['success'] = $this->language->get('text_success');
						
			$this->redirect($this->url->https('extension/shipping'));
		}
				
		
		
		
		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_all_zones'] = $this->language->get('text_all_zones');
		$this->data['text_none'] = $this->language->get('text_none');
		
		$this->data['entry_total'] = $this->language->get('entry_total');
		$this->data['entry_box_size'] = $this->language->get('entry_box_size');
		
		
		
		
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_geo_zone'] = $this->language->get('entry_geo_zone');
		$this->data['entry_cost'] = $this->language->get('entry_cost');
		$this->data['entry_tax'] = $this->language->get('entry_tax');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
		
		
		
		
		
		$this->data['help_total'] = $this->language->get('help_total');
		$this->data['help_box'] = $this->language->get('help_box');
		
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');

		$this->data['tab_general'] = $this->language->get('tab_general');

		$this->data['error_warning'] = @$this->error['warning'];

  		
		//breadcrumbs//////////////////////////////
		$this->document->breadcrumbs = array();

   		$this->document->breadcrumbs[] = array(
       		'href'      => $this->url->https('common/home'),
       		'text'      => $this->language->get('text_home'),
      		'separator' => FALSE
   		);

   		$this->document->breadcrumbs[] = array(
       		'href'      => $this->url->https('extension/shipping'),
       		'text'      => $this->language->get('text_shipping'),
      		'separator' => ' :: '
   		);
		
   		$this->document->breadcrumbs[] = array(
       		'href'      => $this->url->https('shipping/yamato'),
       		'text'      => $this->language->get('heading_title'),
      		'separator' => ' :: '
   		);
		////////////////////////////////////////
		
		
		$this->data['action'] = $this->url->https('shipping/yamato');
		
		$this->data['cancel'] = $this->url->https('extension/shipping');
	
		if (isset($this->request->post['yamato_total'])) {
			$this->data['yamato_total'] = $this->request->post['yamato_total'];
		} else {
			$this->data['yamato_total'] = $this->config->get('yamato_total');
		}
		
		
		
		if (isset($this->request->post['yamato_box_size'])) {
			$this->data['yamato_box_size'] = $this->request->post['yamato_box_size'];
		} else {
			$this->data['yamato_box_size'] = $this->config->get('yamato_box_size');
		}
		
		
		
		
		
		
		
		
		if (isset($this->request->post['yamato_status'])) {
			$this->data['yamato_status'] = $this->request->post['yamato_status'];
		} else {
			$this->data['yamato_status'] = $this->config->get('yamato_status');
		}

		if (isset($this->request->post['yamato_geo_zone_id'])) {
			$this->data['yamato_geo_zone_id'] = $this->request->post['yamato_geo_zone_id'];
		} else {
			$this->data['yamato_geo_zone_id'] = $this->config->get('yamato_geo_zone_id');
		}
		
		if (isset($this->request->post['yamato_sort_order'])) {
			$this->data['yamato_sort_order'] = $this->request->post['yamato_sort_order'];
		} else {
			$this->data['yamato_sort_order'] = $this->config->get('yamato_sort_order');
		}				
		
		$this->load->model('localisation/geo_zone');
		
		$this->data['geo_zones'] = $this->model_localisation_geo_zone->getGeoZones();
								
		$this->id       = 'content';
		$this->template = 'shipping/yamato.tpl';
		$this->layout   = 'common/layout';
		
 		$this->render();
	}
	
	private function validate() {
		if (!$this->user->hasPermission('modify', 'shipping/yamato')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		
		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}	
	}
}
?>